---
title: RTCSessionDescriptionCallback
slug: Web/API/RTCSessionDescriptionCallback
tags:
  - API
  - Deprecated
  - Interface
  - NeedsBrowserCompatibility
  - NeedsSpecification
  - RTCSessionDescriptionCallback
  - Reference
  - SDP
  - WebRTC
---
<div>{{APIRef("WebRTC")}}{{deprecated_header}}</div>

<p><span class="seoSummary">The <strong><code>RTCSessionDescriptionCallback</code></strong> type is used to represent the callback function passed into the deprecated callback-based version of {{domxref("RTCPeerConnection.createOffer", "createOffer()")}} or {{domxref("RTCPeerConnection.createAnswer", "createAnswer()")}} when using them to create offers or answers.</span></p>

<div class="note">
<p>Because this function type is part of the legacy WebRTC API, you should avoid using it (and the callback-based forms of <code>createOffer()</code> and <code>createAnswer()</code> that make use of it).</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><em>RTCSessionDescriptionCallback</em>(<em>description</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>description</code></dt>
 <dd>An {{domxref("RTCSessionDescriptionInit")}} (or {{domxref("RTCSessionDescription")}}) object describing the session being offered or being accepted. This object contains the <code>type</code> and <code>sdp</code> properties which are part of {{domxref("RTCSessionDescription")}}.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<p>The callback doesn't need to return anything, so the return value is <code>undefined</code>.</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">var pc = new RTCPeerConnection();
var descriptionCallback = function(offer) {
  pc.setLocalDescription(offer);
}
pc.createOffer(descriptionCallback);
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebRTC 1.0', '#dom-rtcsessiondescriptioncallback', 'RTCSessionDescriptionCallback')}}</td>
   <td>{{Spec2('WebRTC 1.0')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>

<p>{{Compat("api.RTCSessionDescriptionCallback")}}</p>
</div>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebRTC_API">WebRTC API</a></li>
 <li><a href="/en-US/docs/Web/API/WebRTC_API/Session_lifetime">Lifetime of a WebRTC connection</a></li>
 <li>{{domxref("RTCPeerConnection")}}</li>
</ul>
